Follow

Your CloudShare Credentials are safe!

A major vulnerability in the technology that powers encryption across much of the internet was discovered this week. The CloudShare security team took immediate action to verify and validate all of our infrastructure.  We confirmed that the vulnerability didn't affect our service, since we were not using any of the impacted versions of OpenSSL.

We still encourage you to update your passwords in CloudShare and any other accounts periodically and use strong passwords for any of your accounts.

If you have any questions or concerns, please contact our support team.

For more information on this vulnerability, also known as "Heartbleed," visit: http://heartbleed.com/

Was this article helpful?
1 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk